## preseed 1.62ubuntu1

=== Makefile ===
#!/usr/bin/make -f

TESTS=$(wildcard t/*.t)

check:
	failures=0; for t in $(TESTS); do $$t || failures=$$((failures+1)); done; if [ $$failures -gt 0 ]; then echo Test suite failures: $$failures; exit 1; else echo Test suite successful; fi

## preseed 1.01.2

=== debian/changelog ===
preseed (1.01.2) stable; urgency=low

  * Re-upload as udebs got unaccepted by mistake.
  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Secerovic
    - Welsh (cy.po) by Dafydd Harries
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Jens Seidel
    - Greek, Modern (1453-) (el.po) by quad-nrg.net
    - Spanish (Castilian) (es.po) by Javier Fernández-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by Christian Perrier
    - Gallegan (gl.po) by Jacobo Tarrio
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Hungarian (hu.po) by SZERVÁC Attila
    - Italian (it.po) by Giuseppe Sacco
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Latvian (lv.po) by Aigars Mahinovs
    - Bøkmal, Norwegian (nb.po) by Bjørn Steensrud
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Portuguese (pt.po) by Miguel Figueiredo
    - Romanian (ro.po) by Eddy Petrişor
    - Russian (ru.po) by Yuri Kozlov
    - Slovak (sk.po) by Peter Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by Daniel Nylander
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Frans Pop <fjp@debian.org>  Wed,  2 Aug 2006 15:43:06 +0200

preseed (1.01.1) testing-proposed-updates; urgency=low

  * This includes fixes for bugs in variable substitutions in debconf template
    translations.
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Latvian (lv.po) by Aigars Mahinovs
    - Bøkmal, Norwegian (nb.po) by Hans Fredrik Nordhaug
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Wed,  2 Feb 2005 18:33:19 -0500

preseed (1.01) unstable; urgency=low

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Welsh (cy.po) by Dafydd Harries
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino PeÃ±a
    - Basque (eu.po) by Piarres Beobide EgaÃ±a
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Hungarian (hu.po) by VEROK Istvan
    - Indonesian (id.po) by Debian Indonesia Team
    - Italian (it.po) by Davide Viti
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by KÄstutis BiliÅ«nasn
    - Latvian (lv.po) by Aigars Mahinovs
    - BÃ¸kmal, Norwegian (nb.po) by Bjorn Steensrud
    - Norwegian Nynorsk (nn.po) by HÃ¥vard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (Brazil) (pt_BR.po) by AndrÃ© LuÃ­s Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Äuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by Per Olofsson
    - Turkish (tr.po) by Recai OktaÅ
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 14:38:16 -0400

preseed (1.00) unstable; urgency=low

  * Releasable, baybee.
  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Finnish (fi.po) by Tapio Lehtonen
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Italian (it.po) by Davide Viti
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by KÄstutis BiliÅ«nasn
    - BÃ¸kmal, Norwegian (nb.po) by Axel Bojer
    - Dutch (nl.po) by Frans Pop
    - Norwegian Nynorsk (nn.po) by HÃ¥vard Korsvoll
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by AndrÃ© LuÃ­s Lopes
    - Slovenian (sl.po) by Jure Äuhalev
    - Swedish (sv.po) by Per Olofsson
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Sep 2004 21:40:28 -0400

preseed (0.07) unstable; urgency=low

  * Joey Hess
    - As a special case, if preseed/file starts with /floppy, then
      arrange to have the floppy mounted when loading the file.
  * Updated translations: 
    - Danish (da.po) by Claus Hindsgaul
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Finnish (fi.po) by Tapio Lehtonen
    - Dutch (nl.po) by Frans Pop
    - Portuguese (pt.po) by Miguel Figueiredo
    - Albanian (sq.po) by Elian Myftiu

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Sep 2004 14:09:46 -0400

preseed (0.06) unstable; urgency=low

  * Joey Hess
    - Add preseed/include_command, which runs the specified command to
      get a list of preseed files to include.
  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Basque (eu.po) by Piarres Beobide EgaÃ±a
    - French (fr.po) by French Team
    - Croatian (hr.po) by Krunoslav Gernhard


=== debian/control ===
Source: preseed
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9)

Package: network-preseed
Architecture: all
Priority: standard
Depends: ${shlibs:Depends}, configured-network, di-utils
Description: Download debconf preseed file
XC-Package-Type: udeb
XB-Installer-Menu-Item: 21

Package: file-preseed
Architecture: all
Depends: ${shlibs:Depends}, cdrom-detect, di-utils
Description: Load debconf preseed file
XC-Package-Type: udeb
XB-Installer-Menu-Item: 14

=== debian/rules ===
#!/usr/bin/make -f

build:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot

binary-indep:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install --all preseed_command bin
	dh_install --all 05preseed usr/lib/prebaseconfig.d
	dh_install --all preseed.sh lib/preseed
	dh_installdebconf
	set -e; \
	for pkg in $(shell dh_listpackages); do \
		(echo; po2debconf debian/common.templates ) \
			>> debian/$$pkg/DEBIAN/templates; \
		cp debian/$$pkg.isinstallable debian/$$pkg/DEBIAN/isinstallable; \
	done
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## preseed 1.02ubuntu4

=== debian/changelog ===
preseed (1.02ubuntu4) hoary; urgency=low

  * Set second-stage preseed variables in post-base-installer hook, so that
    it's possible to preseed parts of base-config that have been pulled
    forward to the first stage. Requires base-installer 1.15ubuntu14.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 31 Mar 2005 19:22:11 +0100

preseed (1.02ubuntu3) hoary; urgency=low

  * Add draft Xhosa translation.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2005 14:52:56 +0000

preseed (1.02ubuntu2) hoary; urgency=low

  * Backport from trunk:
    - Add preseed/interactive question, allowing you to preseed default
      answers to questions but still have them asked. Needs di-utils
      1.08ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Jan 2005 19:54:44 +0000

preseed (1.02ubuntu1) hoary; urgency=low

  * Add link to prebaseconfig script in /usr/lib/casper/pre.d.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Jan 2005 19:48:29 +0000

preseed (1.02) unstable; urgency=low

  * Joey Hess
    - Not intended for sarge.
    - Split out preseed-common to allow multiple preseed packages to exist
      on one image w/o replacing each other out of existence. Closes: #283680
    - Add initrd-preseed package, which loads a preseed file (always
      /preseed.cfg if it exists) from the initrd during d-i boot.
      Closes: #276001
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Latvian (lv.po) by Aigars Mahinovs
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Dec 2004 20:04:01 -0500

=== debian/control ===
Source: preseed
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9)

Package: preseed-common
Architecture: all
Priority: standard
Depends: ${shlibs:Depends}, di-utils
Description: Common files for preseeding
XC-Package-Type: udeb

Package: network-preseed
Architecture: all
Priority: standard
Depends: ${shlibs:Depends}, configured-network, preseed-common
Description: Download debconf preseed file
XC-Package-Type: udeb
XB-Installer-Menu-Item: 21

Package: file-preseed
Architecture: all
Depends: ${shlibs:Depends}, di-utils, preseed-common
Description: Load debconf preseed file
XC-Package-Type: udeb
XB-Installer-Menu-Item: 14

Package: initrd-preseed
Architecture: all
Priority: extra
Depends: ${shlibs:Depends}, preseed-common
Description: Load debconf preseed file from /preseed.cfg on the initrd
XC-Package-Type: udeb

=== debian/rules ===
#!/usr/bin/make -f

build:
	dh_testdir

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot

binary-indep:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install
	dh_installdebconf
	for pkg in file-preseed network-preseed; do \
		cp debian/$$pkg.isinstallable debian/$$pkg/DEBIAN/isinstallable; \
	done
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## preseed 1.04ubuntu2

=== debian/changelog ===
preseed (1.04ubuntu2) breezy; urgency=low

  * Make post-base-installer.d/10preseed executable again.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Aug 2005 10:31:51 +0100

preseed (1.04ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Jun 2005 23:11:25 +0100

preseed (1.04) unstable; urgency=low

  * Joey Hess 
    - Add hashbang to S30env-preseed.

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Jun 2005 12:50:47 -0400

preseed (1.03) unstable; urgency=low

  * Colin Watson
    - Add preseed/interactive question, allowing you to preseed default
      answers to questions but still have them asked. Needs di-utils 1.09.
  * Joey Hess
    - Move debconf-set-selections to preseed-common, remove dep on di-utils.
      Only preseed seems to use it, so might as well concentrate preseeding
      stuff here.
    - Add a new env-preseed udeb, gather the bits from rootskel and
      di-utils that were used for (boot-time) environment overriding of
      debconf values (env2debconf and the init script that runs it), and
      move them into this new udeb.
    - Log variables preseeded from the environment in the preseed log file,
      but leave them commented out, since environment preseeding is typically
      used for one-off overridding, and we don't want preseeded
      debconf/priority or the like to affect the installed system. Probably.
  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide
    - Gallegan (gl.po) by Jacobo Tarrio
    - Hebrew (he.po) by Lior Kaplan
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrişor
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Sat, 11 Jun 2005 14:57:39 -0400

=== debian/control ===
Source: preseed
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9)

Package: preseed-common
Architecture: all
Priority: standard
Depends: ${shlibs:Depends}
Description: common files for preseeding
XC-Package-Type: udeb

Package: network-preseed
Architecture: all
Priority: standard
Depends: ${shlibs:Depends}, configured-network, preseed-common
Description: download debconf preseed file
XC-Package-Type: udeb
XB-Installer-Menu-Item: 21

Package: file-preseed
Architecture: all
Depends: ${shlibs:Depends}, di-utils, preseed-common
Description: load debconf preseed file
XC-Package-Type: udeb
XB-Installer-Menu-Item: 14

Package: initrd-preseed
Architecture: all
Priority: extra
Depends: ${shlibs:Depends}, preseed-common
Description: load debconf preseed file from /preseed.cfg on the initrd
XC-Package-Type: udeb

Package: env-preseed
Architecture: all
Priority: extra
Depends: ${shlibs:Depends}
Description: debconf preseeding via environment variables
XC-Package-Type: udeb

## preseed 1.12

=== debian/changelog ===
preseed (1.12) unstable; urgency=low

  * My paranoia has gotten the best of me and I've decided it's not worth the
    possible security risks to put debconf-seed in /var/log, since that
    installs it on the target system.
  * Omit passing d-i owned preseed items to debconf-set-selections on target
    system. Closes: #347669

 -- Joey Hess <joeyh@debian.org>  Fri, 20 Jan 2006 16:25:58 -0500

preseed (1.11) unstable; urgency=low

  * Do propIgation of the preseed file to /target in a post-base-installer.d
    hook script. This was previously in base-config. Needs base-installer
    1.40.

  [ Updated translations ]
  * Slovenian (sl.po) by Jure Čuhalev

 -- Joey Hess <joeyh@debian.org>  Thu,  1 Dec 2005 18:47:53 -0500

preseed (1.10) unstable; urgency=low

  * log-output eval won't work now that it's rewritten in C. Instead,
    use log-output sh -c. Closes: #334598

  [ Updated translations ]
  * Norwegian Nynorsk (nn.po)
  * Romanian (ro.po) by Eddy Petrisor

 -- Joey Hess <joeyh@debian.org>  Tue, 18 Oct 2005 21:08:04 -0400

preseed (1.09) unstable; urgency=low

  * Use log-output.

  [ Updated translations ]
  * Greek, Modern (1453-) (el.po) by Greek Translation Team
  * Kurdish (ku.po) by Erdal Ronahi
  * Romanian (ro.po) by Eddy Petrisor
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Sep 2005 17:21:37 +0200

preseed (1.08) unstable; urgency=low

  * LTS fix

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Aug 2005 14:51:11 -0400

preseed (1.07) unstable; urgency=low

  * debconf-set-selections: support wrapping of long lines with "\".

 -- Joey Hess <joeyh@debian.org>  Mon, 15 Aug 2005 22:37:42 -0400

preseed (1.06) unstable; urgency=low

  * Updated translations: 
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Tagalog (tl.po) by Eric Pareja
    - Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Jul 2005 17:56:30 +0300

preseed (1.05) unstable; urgency=low

  [ Colin Watson ]
  * Strip off DOS line endings in preseed files.

  [ Joey Hess ]
  * If preseed/url/checksum, preseed/file/checksum, or
    preseed/include/checksum exist, then the checksums are used to verify
    the preseed files, which can add some security/robustness to preseeding.
    (Note that checksums are not supported for preseed/include_command
    output.)

 -- Joey Hess <joeyh@debian.org>  Sat,  2 Jul 2005 16:36:31 -0400

## preseed 1.12ubuntu1

=== debian/changelog ===
preseed (1.12ubuntu1) dapper-updates; urgency=low

  * Backport from trunk (Joey Hess, closes: Malone #47767):
    - Don't ignore the last continued line.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  6 Jun 2006 17:12:35 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: preseed-common
 Architecture: all
 Priority: standard
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, di-utils (>= 1.14)
 Description: common files for preseeding
 XC-Package-Type: udeb

## preseed 1.17

=== debian/changelog ===
preseed (1.17) unstable; urgency=low

  [ Philip Hands ]
  * add /etc/preseed_aliases file, and code to env2debconf to handle it
    Closes: #251424

  [ Joey Hess ]
  * Removed the DEBCONF_PRIORITY hack. Use debconf/priority= (or now just
    priority=) instead.
  * Support running preseed/early_command in initrd preseeding.
    Closes: #349636

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Siim Põder
  * Polish (pl.po) by Bartosz Fenski
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Joey Hess <joeyh@debian.org>  Mon, 19 Jun 2006 18:37:13 -0400

preseed (1.16) unstable; urgency=low

  [ Joey Hess ]
  * Add preseed/run, based on Philip Hands's patch.
  * Minor wording change to preseed/load_error so it can be used for errors
    from preseed/run too instead of adding a whole new error template.

  [ Christian Perrier ]
  * Reword "preseed file" to "preconfiguration file"

  [ Joey Hess ]
  * Move prebaseconfig script from 05 to 07, this places it after
    user-setup and tzsetup, which could be useful for late_command,
    without putting it so late that in_target won't work. Closes: #369736
  * prebaseconfig transition

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hungarian (hu.po) by SZERVÑC Attila
  * Italian (it.po) by Stefano Canepa
  * Japanese (ja.po) by Kenshi Muto
  * Georgian (ka.po) by Aiet Kolkhi
  * Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Nepali (ne.po) by Shiva Pokharel
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Jun 2006 22:10:56 -0400

preseed (1.15) unstable; urgency=low

  [ Geert Stappers ]
  *  Handle DHCP offers that don't contain a filename. Closes: #354339.
  *  Simplify check in network-preseed.isinstable.

  [ Frans Pop ]
  * Add myself to uploaders.

  [ Updated translations ]
  * Bosnian (bs.po) by Safir Secerovic
  * German (de.po) by Jens Seidel
  * Basque (eu.po) by Piarres Beobide
  * Irish (ga.po) by Kevin Patrick Scannell
  * Khmer (km.po) by hok kakada
  * Slovenian (sl.po) by Jure Cuhalev
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Sun,  2 Apr 2006 01:37:18 +0200

preseed (1.14) unstable; urgency=low

  * debconf-set-selections: use sed instead of tr; tr does not grok UTF-8.

 -- Frans Pop <fjp@debian.org>  Thu, 23 Feb 2006 00:44:37 +0100

preseed (1.13) unstable; urgency=low

  [ Geert Stappers ]
  * Allow the URL to a preseed file to be specified as the filename in
    the DHCP lease. The filename must contain "://" to be used as an URL.

  [ Joey Hess ]
  * Don't ignore the last continued line.
  * When extracting filename from DHCP lease, be sure to quote it to prevent
    accidents.
  * Look for dhcp lease files in turn, not based on which dhcp client is
    found, to avoid tight binding to which one netcfg prefers to run.
  * Load dhcp preseed file first, but then load any specified preseed/url.
    This allows for using dhcp preseeding for network-global stuff, like
    mirrors etc, while fully automating installs in the old manner. Note that
    I chose to let preseed/url override the dhcp preseeding; which should
    override the other is debatable. Also, there is some code duplication
    between network-preseed.isinstallable and network-preseed.postinst.
    Closes: #319524

 -- Joey Hess <joeyh@debian.org>  Tue, 21 Feb 2006 18:37:30 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: debian-installer
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>
+Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9)
 
 Package: preseed-common

## preseed 1.28

=== debian/changelog ===
preseed (1.28) unstable; urgency=low

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen A

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 17:00:03 +0100

preseed (1.27) unstable; urgency=low

  [ Joey Hess ]
  * Support command-line preseeding in the form "hostname?=foo" to preseed
    a value without setting the seen flag. Closes: #410392

  [ Updated translations ]
  * Dutch (nl.po) by Bart Cornelis

 -- Frans Pop <fjp@debian.org>  Tue, 13 Feb 2007 23:38:44 +0100

preseed (1.26) unstable; urgency=low

  * Change "auto" alias to auto-install/enable. The parameter was changed for
    consistency with rescue.

 -- Frans Pop <fjp@debian.org>  Fri,  2 Feb 2007 17:05:49 +0100

preseed (1.25) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Danish (da.po) by Claus Hindsgaul
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Romanian (ro.po) by Eddy Petrișor
  * Slovenian (sl.po) by Matej Kovačič

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 11:55:37 +0100

preseed (1.24) unstable; urgency=low

  * Add protocol as an alias for mirror/protocol.

  [ Updated translations ]
  * Kurdish (ku.po) by Amed Çeko Jiyan

 -- Frans Pop <fjp@debian.org>  Fri, 29 Dec 2006 04:56:43 +0100

preseed (1.23) unstable; urgency=low

  [ Colin Watson ]
  * Add modules as an alias for anna/choose_modules.

  [ Joey Hess ]
  * Move logging of preseeded values into debconf-set-selections, after
    it has parsed the file and removed continuation lines. This allows
    the post-base-installer hook to use a simple grep and not need to worry
    about continuation lines.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Kurdish (ku.po) by rizoye-xerzi
  * Latvian (lv.po) by Aigars Mahinovs
  * Panjabi (pa.po) by A S Alam

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Dec 2006 10:06:39 -0500

preseed (1.22) unstable; urgency=low

  * Allow preseeding debconf values for the target system at the command
    line using an expanded syntax that includes the owner of the question:
    "owner:question=value"
    If this expanded syntax is not used, only d-i is preseeded.
    Closes: #400694
  * "tasks" is now an alias for "tasksel:tasksel/first", so it will
    actually work now.

  [ Updated translations ]
  * Panjabi (pa.po) by A S Alam

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Nov 2006 13:36:22 -0500

preseed (1.21) unstable; urgency=low

  [ Joey Hess ]
  * Fix typoed name of /var/run/preseed-usedfloppy. Closes: #397668

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Safir Secerovic
  * Esperanto (eo.po) by Serge Leblanc
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by rizoye-xerzi
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud

 -- Frans Pop <fjp@debian.org>  Wed, 22 Nov 2006 15:16:04 +0100

preseed (1.20) unstable; urgency=low

  * Fix some busted shell code in file-preseed that made it _always_
    add "file://floppy://" to preseeded filenames. I must quote fjp here:
    <fjp> Huray for testing :-P
    (Untested..)

 -- Joey Hess <joeyh@debian.org>  Sun, 22 Oct 2006 18:09:15 -0400

preseed (1.19) unstable; urgency=low

  [ Philip Hands ]
  * add test to prevent cat-ing non-existent file in preseed_fetch

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * Hungarian (hu.po) by SZERVÁC Attila
  * Kurdish (ku.po) by Erdal Ronahi
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Tamil (ta.po) by Damodharan Rajalingam
  * Vietnamese (vi.po) by Clytie Siddall

 -- Joey Hess <joeyh@debian.org>  Fri, 20 Oct 2006 17:11:43 -0400

preseed (1.18) unstable; urgency=low

  [ Philip Hands ]
  * Split preseed_fetch out into a separate script, with fetch method
    plugins to handle different URL types (i.e. http:// vs. floppy://).
  * Switch to using floppy:/// or file:/// style paths for preseed/file.

  [ Joey Hess ]
  * Add tasks as an alias for tasksel/first.

  [ Frans Pop ]
  * Add boot parameter alias theme for debian-installer/theme.
  * Add missing debconf dependencies.
  * Add Lintian override for standards-version.

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Catalan (ca.po) by Jordi Mallach
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * Gujarati (gu.po) by Kartik Mistry
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Stefano Canepa
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Georgi Stanojevski
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Bartosz Fenski
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Tagalog (tl.po) by Eric Pareja
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Frans Pop <fjp@debian.org>  Tue, 10 Oct 2006 23:11:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,27 +2,28 @@
 Section: debian-installer
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>
+Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Philip Hands <phil@hands.com>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9)
+XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/preseed
 
 Package: preseed-common
 Architecture: all
 Priority: standard
-Depends: ${shlibs:Depends}, di-utils (>= 1.14)
+Depends: ${misc:Depends}, ${shlibs:Depends}, di-utils (>= 1.14)
 Description: common files for preseeding
 XC-Package-Type: udeb
 
 Package: network-preseed
 Architecture: all
 Priority: standard
-Depends: ${shlibs:Depends}, configured-network, preseed-common
+Depends: ${misc:Depends}, ${shlibs:Depends}, configured-network, preseed-common
 Description: download debconf preseed file
 XC-Package-Type: udeb
 XB-Installer-Menu-Item: 21
 
 Package: file-preseed
 Architecture: all
-Depends: ${shlibs:Depends}, di-utils, preseed-common
+Depends: ${misc:Depends}, ${shlibs:Depends}, di-utils, preseed-common
 Description: load debconf preseed file
 XC-Package-Type: udeb
 XB-Installer-Menu-Item: 14

## preseed 1.28ubuntu1

=== debian/changelog ===
preseed (1.28ubuntu1) feisty; urgency=low

  * Fix handling of preseeding environment variables whose values contain an
    equals sign (thanks, Andreas Roth; LP: #99399).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun,  1 Apr 2007 08:50:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: preseed
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Philip Hands <phil@hands.com>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9)
 XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/preseed

## preseed 1.29

=== debian/changelog ===
preseed (1.29) unstable; urgency=low

  [ Colin Watson ]
  * Fix handling of preseeding environment variables whose values contain an
    equals sign (thanks, Andreas Roth; https://launchpad.net/bugs/99399).

  [ Joey Hess ]
  * Multiply menu-item-numbers by 100

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Apr 2007 14:38:45 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: preseed
 Section: debian-installer
 Priority: optional
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Philip Hands <phil@hands.com>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9)
 XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/preseed
@@ -20,14 +19,14 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, configured-network, preseed-common
 Description: download debconf preseed file
 XC-Package-Type: udeb
-XB-Installer-Menu-Item: 21
+XB-Installer-Menu-Item: 2100
 
 Package: file-preseed
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}, di-utils, preseed-common
 Description: load debconf preseed file
 XC-Package-Type: udeb
-XB-Installer-Menu-Item: 14
+XB-Installer-Menu-Item: 1400
 
 Package: initrd-preseed
 Architecture: all

## preseed 1.31ubuntu1

=== debian/changelog ===
preseed (1.31ubuntu1) hardy; urgency=low

  * Add preseed alias iscsi=disk-detect/iscsi/enable.
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Soren Hansen <soren@ubuntu.com>  Fri, 08 Feb 2008 17:04:34 +0100

preseed (1.31) unstable; urgency=low

  * Add desktop alias for tasksel/desktop.

 -- Joey Hess <joeyh@debian.org>  Fri, 14 Sep 2007 10:05:03 -0400

preseed (1.30) unstable; urgency=low

  [ Frans Pop ]
  * Add alias 'dmraid' to enable SATA RAID support.

  [ Otavio Salvador ]
  * Fix error call inside post-base-installer.d.

  [ Updated translations ]
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Piarres Beobide
  * Punjabi (Gurmukhi) (pa.po) by A S Alam
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Fri, 06 Jul 2007 00:26:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: preseed
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Philip Hands <phil@hands.com>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9)
 XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/preseed

=== debian/rules ===
--- 
+++ 
@@ -8,20 +8,18 @@
 	dh_testroot
 	dh_clean
 
-install: build
-	dh_testdir
-	dh_testroot
-
 binary-indep:
 	dh_testdir
 	dh_testroot
 	dh_clean -k
+	dh_installdirs
 	dh_install
 	dh_installdebconf
 	for pkg in file-preseed network-preseed; do \
 		cp debian/$$pkg.isinstallable debian/$$pkg/DEBIAN/isinstallable; \
 	done
-	dh_link
+	dh_link -p network-preseed lib/preseed/fetch-methods/http \
+		lib/preseed/fetch-methods/ftp
 	dh_compress
 	dh_fixperms
 	dh_installdeb

## preseed 1.37ubuntu2

=== debian/changelog ===
preseed (1.37ubuntu2) intrepid; urgency=low

  * Ignore whitespace-only lines in preseed files (LP: #245256).
  * Propagate seen-false preseeding ("var?=value") from the command line to
    /target.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Aug 2008 11:18:03 +0100

preseed (1.37ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add preseed alias iscsi=disk-detect/iscsi/enable.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Jun 2008 11:35:17 +0100

preseed (1.37) unstable; urgency=low

  [ Philip Hands ]
  * Fix bug in fetch_method/http that would ignore ftp proxy.
  * Split out fetch-url from preseed_fetch to allow for its use for
    downloading without interfering with the preseed relative path magic.
  * Move fetch-url and its methods to di-utils. Requires di-utils (>= 1.58).

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio

 -- Frans Pop <fjp@debian.org>  Tue, 17 Jun 2008 14:21:34 +0200

preseed (1.36ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add preseed alias iscsi=disk-detect/iscsi/enable.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 12 Jun 2008 02:02:29 +0100

preseed (1.36) unstable; urgency=low

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po) by Sampada
  * Punjabi (Gurmukhi) (pa.po) by Amanpreet Singh Alam

 -- Otavio Salvador <otavio@debian.org>  Thu, 08 May 2008 00:27:39 -0300

preseed (1.35) unstable; urgency=low

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi
  * Indonesian (id.po) by Arief S Fitrianto
  * Turkish (tr.po) by Recai Oktaş
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Fri, 15 Feb 2008 09:14:12 -0200

preseed (1.34) unstable; urgency=low

  * debconf-set-selections: Fix parser to again allow use of tabs
    to separate preseeded values.

 -- Joey Hess <joeyh@debian.org>  Sat, 26 Jan 2008 17:07:47 -0500

preseed (1.33) unstable; urgency=low

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Belarusian (be.po) by Hleb Rubanau
  * Korean (ko.po) by Changwoo Ryu
  * Malayalam (ml.po) by Praveen|പരവീണ A|എ
  * Panjabi (pa.po) by A S Alam
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Ivan Masár

 -- Christian Perrier <bubulle@debian.org>  Thu, 10 Jan 2008 07:52:25 +0100

preseed (1.32) unstable; urgency=low

  * debconf-set-selections: Avoid using "set -- $line" as this exposes it to
    shell globbing and variable expansion. Closes: #450425

 -- Joey Hess <joeyh@debian.org>  Wed, 07 Nov 2007 12:17:52 -0500

## preseed 1.41

=== debian/changelog ===
preseed (1.41) unstable; urgency=low

  * Improvements to debconf-set-selections.
    - Use sed and grep instead of shell parameter expansion as the former are
      more robust. Closes: #502850.
    - Remove any leading whitespace from lines and replace trailing whitespace
      from continued lines.
    - Add sanity checks for syntax errors in preconfiguration files.

 -- Frans Pop <fjp@debian.org>  Fri, 24 Oct 2008 19:44:00 +0200

preseed (1.40) unstable; urgency=low

  [ Updated translations ]
  * Bosnian (bs.po) by Armin Besirovic
  * Danish (da.po)
  * Croatian (hr.po) by Josip Rodin
  * Latvian (lv.po) by Peteris Krisjanis
  * Macedonian (mk.po) by Arangel Angov
  * Slovenian (sl.po) by Vanja Cvelbar
  * Serbian (sr.po) by Veselin Mijušković

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 19:39:22 -0300

preseed (1.39) unstable; urgency=low

  [ Philip Hands ]
  * Make template for preseed/url verbose, to help preseeding newbies.

  [ Colin Watson ]
  * Ignore whitespace-only lines in preseed files (LP: #245256).
  * Propagate seen-false preseeding ("var?=value") from the command line to
    /target.

  [ Updated translations ]
  * Esperanto (eo.po) by Felipe Castro
  * French (fr.po) by Christian Perrier
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Russian (ru.po) by Yuri Kozlov

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 26 Aug 2008 11:02:54 +0200

preseed (1.38) unstable; urgency=low

  * mountmedia mounts /media, not /floppy, so unmount the latter.
  * Needs debian-installer-utils 1.60 and mountmedia.

 -- Joey Hess <joeyh@debian.org>  Mon, 07 Jul 2008 14:12:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: preseed
 Section: debian-installer
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Philip Hands <phil@hands.com>
 Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9)
-XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/preseed
+Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/preseed
 
 Package: preseed-common
 Architecture: all
 Priority: standard
-Depends: ${misc:Depends}, ${shlibs:Depends}, di-utils (>= 1.14)
+Depends: ${misc:Depends}, ${shlibs:Depends}, di-utils (>= 1.58)
 Description: common files for preseeding
 XC-Package-Type: udeb

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,6 @@
 	for pkg in file-preseed network-preseed; do \
 		cp debian/$$pkg.isinstallable debian/$$pkg/DEBIAN/isinstallable; \
 	done
-	dh_link -p network-preseed lib/preseed/fetch-methods/http \
-		lib/preseed/fetch-methods/ftp
 	dh_compress
 	dh_fixperms
 	dh_installdeb

## preseed 1.41ubuntu1

=== debian/changelog ===
preseed (1.41ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add preseed alias iscsi=disk-detect/iscsi/enable.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Nov 2008 15:44:43 +0000

## preseed 1.45ubuntu0.1

=== debian/changelog ===
preseed (1.45ubuntu0.1) maverick-proposed; urgency=low

  * In 'autoserver' mode, fetch the preseed file for 'maverick' instead of for
    'squeeze'. LP: #681396

 -- Max Bowsher <_@maxb.eu>  Sun, 03 Jul 2011 13:00:47 +0100

preseed (1.45) unstable; urgency=low

  * Integrate auto-install support in the preseed udebs.
    Requires main-menu (>= 1.31).

  [ Updated translations ]
  * French (fr.po) by Christian Perrier
  * Marathi (mr.po) by Sampada
  * Slovenian (sl.po) by Vanja Cvelbar

 -- Frans Pop <fjp@debian.org>  Wed, 24 Mar 2010 16:33:00 +0100

preseed (1.44) unstable; urgency=low

  [ Frans Pop ]
  * Ensure the last "filename" option gets used in case there are multiple
    dhcp leases.

  [ Otavio Salvador ]
  * Use new udhcpc leases file.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * German (de.po) by Holger Wansing
  * Italian (it.po) by Milo Casagrande
  * Slovenian (sl.po) by Vanja Cvelbar
  * Simplified Chinese (zh_CN.po) by 苏运强

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Feb 2010 23:49:36 -0300

preseed (1.43) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.

  [ Frans Pop ]
  * Add alias "recommends" for "debian-installer/recommends".
  * Remove no longer needed Lintian override for missing Standards-
    Version field.
  * Avoid locale errors from perl in the post-base-installer script.
  * Add aliases "language" and "country".

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Antonio Alvarez Costales
  * Czech (cs.po) by Miroslav Kure
  * Hindi (hi.po)
  * Italian (it.po) by Milo Casagrande

 -- Frans Pop <fjp@debian.org>  Mon, 16 Nov 2009 14:06:53 +0100

preseed (1.42) unstable; urgency=low

  [ Philip Hands ]
  * Remove /var/run/delay_choosers (if it exists) when preseed succeeds,
    thus allowing kbd-chooser and localechooser to reappear in the menu
    (although we still seem to need ai-choosers to get them to install)
  * Move code for dhcp_preseed_url() to preseed.sh to make it available
    to auto-install.postinst, and remove duplication in
    network-preseed.isinstallable.

  [ Frans Pop ]
  * debconf-set-selections: minor cleanup of envvar use.
  * Remove myself as uploader.

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Jun 2009 09:43:34 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: preseed
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Philip Hands <phil@hands.com>
-Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.9)
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/preseed
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Joey Hess <joeyh@debian.org>, Philip Hands <phil@hands.com>
+Build-Depends: debhelper (>= 7.3.10), dpkg-dev (>= 1.9)
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/preseed.git
+XS-Debian-Vcs-Git: git://git.debian.org/d-i/preseed.git
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/preseed/maverick
 
 Package: preseed-common
 Architecture: all

## preseed 1.48

=== debian/changelog ===
preseed (1.48) unstable; urgency=low

  [ Updated translations ]
  * Lao (lo.po) by Anousak Souphavanh
  * Northern Sami (se.po) by Børre Gaup
  * Sinhala (si.po) by Danishka Navin

 -- Otavio Salvador <otavio@ossystems.com.br>  Fri, 24 Dec 2010 21:34:58 -0200

preseed (1.47) unstable; urgency=low

  [ Updated translations ]
  * Asturian (ast.po) by maacub
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Israt Jahan
  * Bosnian (bs.po) by Armin Beširović
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Anders Jenbo
  * Persian (fa.po) by Ebrahim Byagowi
  * Icelandic (is.po) by Sveinn í Felli
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Telugu (te.po) by Arjuna Rao Chavala

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 16:30:36 -0200

preseed (1.46) unstable; urgency=low

  [ Updated translations ]
  * Asturian (ast.po) by astur
  * Belarusian (be.po) by Viktar Siarheichyk
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Jacob Sparre Andersen
  * German (de.po) by Holger Wansing
  * Persian (fa.po) by acathur
  * Central Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Arangel Angov
  * Romanian (ro.po) by ioan-eugen stan

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 Jul 2010 18:01:35 +0200

## preseed 1.48ubuntu0.1

=== debian/changelog ===
preseed (1.48ubuntu0.1) natty-proposed; urgency=low

  * In 'autoserver' mode, fetch the preseed file for 'natty' instead of for
    'squeeze'. LP: #681396

 -- Max Bowsher <_@maxb.eu>  Sun, 03 Jul 2011 13:01:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>, Philip Hands <phil@hands.com>
+Uploaders: Philip Hands <phil@hands.com>
 Build-Depends: debhelper (>= 7.3.10), dpkg-dev (>= 1.9)
 XS-Debian-Vcs-Browser: http://git.debian.org/?p=d-i/preseed.git
 XS-Debian-Vcs-Git: git://git.debian.org/d-i/preseed.git
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/preseed/maverick
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/preseed/natty
 
 Package: preseed-common
 Architecture: all

## preseed 1.49

=== debian/changelog ===
preseed (1.49) unstable; urgency=low

  [ Christian Perrier ]
  * Make preseed/url translatable
  * Add a "keymap" alias, as of now for console-keymaps-at/keymap
    Closes: #621400
  * Add a "preseed-md5" alias for preseed/file/checksum
    Closes: #621393

  [ Joey Hess ]
  * Update auto-install/defaultroot for wheezy.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Israt Jahan
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Esperanto (eo.po) by Felipe Castro
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Estonian (et.po) by Mattias Põldaru
  * Persian (fa.po) by Behrad Eslamifar
  * French (fr.po) by Christian Perrier
  * Georgian (ka.po) by Aiet Kolkhi
  * Kazakh (kk.po) by Baurzhan Muftakhidinov
  * Korean (ko.po) by Changwoo Ryu
  * Marathi (mr.po) by sampada
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Nepali (ne.po)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Uyghur (ug.po) by Sahran
  * Simplified Chinese (zh_CN.po) by YunQiang Su

 -- Christian Perrier <bubulle@debian.org>  Sat, 23 Apr 2011 09:58:53 +0200

## preseed 1.49ubuntu1

=== debian/changelog ===
preseed (1.49ubuntu1) oneiric; urgency=low

  [ Max Bowsher ]
  * In 'autoserver' mode, fetch the preseed file for 'oneiric' instead for
    'wheezy'. LP: #681396

  [ Colin Watson ]
  * Change the "keymap" alias to keyboard-configuration/layoutcode, since
    Ubuntu uses console-setup (LP: #74829).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 May 2011 13:26:42 +0100
